class AR::Events::GaugeChanged < AR::Events::Event

  attr_participant :gauge, :gauge_owner
  attr_accessor :change
  attr_accessor :modifier
  attr_accessor :which

  def initialize params
    super params
    self.change = params[:change] || params[:amount]
    self.modifier = params[:modifier]
    self.which = params[:which]
  end 

  def amount
    change
  end

  #story told by default if participants don't offer any story
  def default_story
  end


end
